-- you must pass in "red", "green", "yellow", or "rainbow" for it to work, but
-- I've been nice and added a fallback value as well.
local starColor = ...;
assert(...);
local fallbackColor = "yellow";

-- validation
local valids = { "red", "green", "yellow", "rainbow" };
local isValid = false;
for i=1,#valids do
	if not isValid then
		if valids[i] == starColor then
			isValid = true;
		end;
	end;
end;
starColor = isValid and starColor or fallbackColor;
local bUse3dModels = GetAdhocPref("Enable3DModels");

local t = Def.Model{
	Meshes=THEME:GetPathB("_shared","models/_starmodel/star_mesh.txt");
	Bones=THEME:GetPathB("_shared","models/_starmodel/star_bones.txt");
	Materials=THEME:GetPathB("_shared","models/_starmodel/star_materials_"..starColor..".txt");
};

return bUse3dModels and t or Def.Actor{};